/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package org.apache.catalina.util;


public class TomcatCSS {

    public static final String TOMCAT_CSS =
        "H1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} " +
        "H2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} " +
        "H3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} " +
        "BODY {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} " +
        "B {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} " +
        "P {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}" +
        "A {color : black;}" +
        "A.name {color : black;}" +
        "HR {color : #525D76;}";

    /*
    public static final String JBOSSWEB_CSS =
        "html {margin:0;padding:0;}" +
        "body {margin:20px;padding: 0px;font-family:Verdana, Arial, Helvetica, sans-serif;background-color:#a3a9ad;color:#424242;font-size: 12px;}" +
        "p {}" +
        "a {color:#527fa8;}" +
        "hr {border-top: 1px solid #a4b2b9;border-right: 0px solid #a4b2b9;border-left: 0px solid #a4b2b9;border-bottom: 0px solid #a4b2b9;margin-bottom: 3px;}" +
        "img {border:0px;}" +
        "h1 {font-size:14px;color:#4a5d75;margin-top:0px;padding-top: 6px;}" +
        "h2 {font-size:13px;color:#32444d;}" +
        "h3 {}" +
        "h4 {}" +
        "h5 {}" +
        "h6 {}" +
        ".wrapper {min-width: 900px;background-image:url(images/bkg_shadow.png);background-position:right;background-repeat:repeat-y;padding-right:7px;}" +
        ".container {margin: 0px;padding:0px;background-color: white;overflow:hidden;}" +
        ".leftcol {float:left;width:300px;background-color:#eaeff2;border-right: 1px solid #c1c4ca;}" +
        ".maincol {margin: 0px 20px 0px 325px;padding-top: 30px;}" +
        ".leftcol, .maincol {padding-bottom: 30005px;margin-bottom: -30000px;}" +
        ".header {background-image: url(images/hdr_bkg.gif);background-position:bottom;background-repeat: repeat-x;background-color:#35485d;height: 50px;}" +
        ".footer {background-color:#35485d;color:#dbe7ee;line-height:2em;font-size:9px;text-align: center;clear:both;}" +
        ".footer a {color:#dbe7ee;line-height:2em;font-size:9px;text-align: center;clear:both;}" +
        ".floatright {float:right;}" +
        ".floatleft {float:left;}" +
        ".leftcol dl {margin-left: 30px;}" +
        ".leftcol dt {color:#4a5d75;font-weight: bold;margin-left: 0px;margin-right: 20px;padding: 10px 0px 0px 0px;border-bottom: 1px solid #424242;}" +
        ".leftcol dd {margin-left: 4px;padding:2px 0px;}" +
        "#bread {color: #656565;padding-right: 3px;margin-bottom: 10px;}" +
        "#bread ul {margin-left: 0;padding-left: 0;display: inline;border: none;}" + 
        "#bread ul li {margin-left: 0;padding-left: 2px;font-size:10px;border: none;list-style: none;display: inline;}" +
        "#bread a {color:#656565;text-decoration: underline;}";

    public static final String SHADOW_IMG=
        "<img src=\"data:image/gif;base64,\n" +
        "iVBORw0KGgoAAAANSUhEUgAAAAcAAAABCAYAAAASC7TOAAAABGdBTUEAANbY1E9YMgAAABl0RVh0\n" +
        "U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAAjSURBVHjaYoyqnhTFwMDwBYjfM/xneMPA\n" +
        "CKRB/P8MPwACDAB+pAlsRfRmXgAAAABJRU5ErkJggg==\"/>";

    public static final String HEADER_IMG=
        "<img src=\"data:image/gif;base64,\n" +
        "R0lGODlhAQAuAMQAACQ0Rio8TyU2SC9BVSc3SiY2SSk6TSg4SzVIXTJFWSc4SzFDWC0+Uio7TjRG\n" +
        "Wy5AVCs9UCMzRSM0Ri5AUyw9UQ0NDSw+US4+Uyg5TTRHXCQ0RTNGWzNFWjBCVjBDVy9BViwAAAAA\n" +
        "AQAuAAAFJSCCZM7GJcnidd03DM90MRYVQEHQGAZ2HAoCoVAQGAFIiSZSCQEAOw==\"/>";
        */

}

